#
# TODO:
#  - fix build flags - some files are compiled with -O3 and without rpm*flags
#  - fix linking argument order
#  - add and/or fix users/groups permissions
#  - split to subpackages?
#
# Conditional build:
%bcond_without	cec	# build without cec support
%bcond_without	goom	# build without goom visualisation
%bcond_with	hal	# build with HAL

%define	codename Gotham

Summary:	XBMC is a free and open source media-player and entertainment hub
Name:		xbmc
Version:	13.2
Release:	2
License:	GPL v2+ and GPL v3+
Group:		Applications/Multimedia
Source0:	http://mirrors.xbmc.org/releases/source/%{name}-%{version}.tar.gz
# Source0-md5:	d80153b2cc78b88966458ab136e9494f
Patch0:		jpeglib-boolean.patch
URL:		http://xbmc.org/
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-devel
BuildRequires:	bluez-libs-devel >= 4.99
BuildRequires:	boost-devel
BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	dbus-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	fribidi-devel
BuildRequires:	gawk
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-devel
BuildRequires:	glew-devel
BuildRequires:	gperf
%{?with_hal:BuildRequires:	hal-devel}
BuildRequires:	jasper-devel
BuildRequires:	jre
BuildRequires:	libass-devel
BuildRequires:	libbluray-devel >= 0.2.1
BuildRequires:	libcap-devel
BuildRequires:	libcdio-devel
%{?with_cec:BuildRequires:	libcec-devel}
%ifarch i686 pentium4 athlon %{x8664}
BuildRequires:	libcrystalhd-devel
%endif
BuildRequires:	libgcrypt-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmpeg2-devel
BuildRequires:	libogg-devel
BuildRequires:	libplist-devel
BuildRequires:	libpng-devel
BuildRequires:	librtmp-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libssh-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libva-devel
BuildRequires:	libva-glx-devel
BuildRequires:	libvdpau-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lzo-devel
BuildRequires:	mysql-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	openssl-devel
BuildRequires:	pcre-cxx-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
# used internally
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	swig
BuildRequires:	taglib-devel >= 1.8
BuildRequires:	tinyxml-devel
BuildRequires:	udev-devel
BuildRequires:	unzip
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	yajl-devel
BuildRequires:	zip
BuildRequires:	zlib-devel
#https://github.com/sahlberg/libnfs
#BuildRequires:	libnfs-devel
#http://sites.google.com/site/alexthepuffin/home
#BuildRequires:	afpfs-ng-devel
#http://mirrors.xbmc.org/build-deps/darwin-libs/libshairport-1.2.0.20310_lib.tar.gz
#https://github.com/albertz/shairport
#BuildRequires: libshairport
Requires:	/usr/bin/glxinfo
Requires:	SDL >= 1.2.14-5
Requires:	lsb-release
Requires:	xorg-app-xdpyinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XBMC media center is a free cross-platform media-player jukebox and
entertainment hub. XBMC can play a spectrum of of multimedia formats,
and featuring playlist, audio visualizations, slideshow, and weather
forecast functions, together third-party plugins.

%prep
%setup -q -n %{name}-%{version}-%{codename}
%patch0 -p1

%build
./bootstrap
%configure \
	--disable-debug \
	--enable-external-libraries \
	--enable-pulse \
	--enable-udev \
	--disable-libusb \
	--disable-nfs \
	--disable-afpclient \
	--disable-airtunes \
	%{__enable_disable goom} \
	%{__enable_disable hal} \
	%{__enable_disable libcec}

LIBS="-lpthread"
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}
%{_docdir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/xsessions/XBMC.desktop
%changelog
* Tue Oct 07 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xbmc.git;a=log;h=master

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ecd19b5
- libcdio related rebuild
- release 2 (by relup.sh)

* Sat Oct 04 2014 Lukasz Masko <lmasko@pld-linux.org> fe96acc
- Removed unneeded files.

* Fri Oct 03 2014 Lukasz Masko <lmasko@pld-linux.org> d2f0f4c
- Up to 13.2, code name Gotham.

* Tue Mar 25 2014 Jan Rękorajski <baggins@pld-linux.org> eaa434b
- upstream fix for ffmpeg 2.2
- rel 3

* Tue Jan 21 2014 Jan Rękorajski <baggins@pld-linux.org> 3354f23
- fix libsmbclient detection
- rel 2

* Sat Jan 04 2014 Karol Krenski <charles@pld-linux.org> ec7f639
- restored VDPAU support

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 45a200a
- fix type conflict with jpeglib
- updated BRs
- rel 1

* Sat Dec 28 2013 Artur Frysiak <artur@frysiak.net> e3d1b54
- Up to 12.3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fa8aed
- release 6 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 70a40ab
- release 5 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 134fbe2
- release 4 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 4cf0b7a
- more ffmpeg2 fixes

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 792647b
- fix build with ffmpeg2 (sub_id removed upstream as useless)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> bfa116d
- fix build with ffmpeg2

* Mon May 06 2013 Karol Krenski <charles@pld-linux.org> 37fbe51
- added bcond without cec
- updated BRs

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 1aef2bc
- i486 doesn't have libcrystalhd-devel
- rel 3

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 5f83fc0
- added libcrystalhd-devel to shorten TODO
- added libva-glx-devel
- added --enable-pulse to configure
- rel 2

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> a0dfde4
- up to 12.2
- nVidia now supports libXranrd 1.2
- added libcec-devel for build with cec support
- added LIBS="-lpthread" before make to workaround linking problem

* Tue Mar 26 2013 Artur Frysiak <artur@frysiak.net> 9f73e7e
- Obsoleted

* Tue Mar 26 2013 Artur Frysiak <artur@frysiak.net> 4c15f04
- Up to 12.1, format-security.patch applied upstream

